<%--
  - FileName   : SYSRightPgmListWorker.jsp
  - Author(s)  : chj
  - Date       : 2014-06-18 
  - Copyright  : Copyright (c) 2014 www.udapsoft.co.kr, Inc.
  -
  - Description: 권한별 프로그램 목록 Worker
  --%>

<%@ page contentType="text/html; charset=utf-8" %>
<%//@ page import="kr.co.hwenc.common.*"%>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);

	ValueObject user = null;
   	String message = null;
	String event   = null;

	//HandlerStorage storage = (HandlerStorage)ctx.getAttribute(HandlerStorage.KEY);
    HandlerStorage storage = ctx.getHandlerStorage();
	user = storage.getUser();
  	event = storage.getEvent();

	boolean success = storage.getSuccess();
%>


<%
	if( success ) {
%>

<SCRIPT language="javascript">

	//alert("삭제성공");
	//parent.resetFormProc();
	parent.reloadProc();

</SCRIPT>

<%
	}
	else {
%>

<SCRIPT language="javascript">

	dlgErrorDetailAlert("Error is occurred while program list is deleted.", "<%= storage.getDetailMessage() %>");

</SCRIPT>

<%	} %>